#ifndef __RANDOM_H
#define __RANDOM_H

#include "type.h"

extern void INIT_GENERATEUR(int par_defaut, int seed1, int seed2);
extern void GAUSS2D(int numgen,float mean1,float mean2,float var1, float var2,float cov,float *x1,float *x2);
extern int  UNIFORME_INT(int numgen,int A,int B);

extern float uniforme(int numgen,float borne_inf,float borne_sup);

extern float rayleight(int numgen,float a);
extern float weibull(int numgen,float a);
extern float gaussienne(int numgen,float mu,float sigma2);

extern  float inverse_gaussienne(int numgen1,int numgen2,float lambda,float mu);


#endif /* __RANDOM_H */
